Package com.google.android.exoplayer2.video

## Interface VideoListener

- All Known Subinterfaces:
    `Player.Listener`
  All Known Implementing Classes:
    `AnalyticsCollector`, `DebugTextViewHelper`, `ExoPlayerTestRunner`, `ImaAdsLoader`

      @Deprecated
      public interface VideoListener

  Deprecated.
  Use `Player.Listener`.
  A listener for metadata corresponding to video being rendered.

- - ### Method Summary

    All Methods Instance Methods Default Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `onRenderedFirstFrame()` | Deprecated. Called when a frame is rendered for the first time since setting the surface, or since the renderer was reset, or since the stream being rendered was changed.
    `default void` | `onSurfaceSizeChanged​(int width, int height)` | Deprecated. Called each time there's a change in the size of the surface onto which the video is being rendered.
    `default void` | `onVideoSizeChanged​(int width, int height, int unappliedRotationDegrees, float pixelWidthHeightRatio)` | Deprecated. Use `onVideoSizeChanged(VideoSize videoSize)`.
    `default void` | `onVideoSizeChanged​(VideoSize videoSize)` | Deprecated. Called each time there's a change in the size of the video being rendered.

- - ### Method Detail

    - #### onVideoSizeChanged

          default void onVideoSizeChanged​(VideoSize videoSize)

      Deprecated.
      Called each time there's a change in the size of the video being rendered.
      Parameters:
        `videoSize` - The new size of the video.

    - #### onVideoSizeChanged

          @Deprecated
          default void onVideoSizeChanged​(int width,
                                          int height,
                                          int unappliedRotationDegrees,
                                          float pixelWidthHeightRatio)

      Deprecated.
      Use `onVideoSizeChanged(VideoSize videoSize)`.

    - #### onSurfaceSizeChanged

          default void onSurfaceSizeChanged​(int width,
                                            int height)

      Deprecated.
      Called each time there's a change in the size of the surface onto which the video is being rendered.
      Parameters:
        `width` - The surface width in pixels. May be `C.LENGTH_UNSET` if unknown, or 0 if the video is not rendered onto a surface.
        `height` - The surface height in pixels. May be `C.LENGTH_UNSET` if unknown, or 0 if the video is not rendered onto a surface.

    - #### onRenderedFirstFrame

          default void onRenderedFirstFrame()

      Deprecated.
      Called when a frame is rendered for the first time since setting the surface, or since the renderer was reset, or since the stream being rendered was changed.